Debian Bug report logs - #280209
ITP: codeville -- More anarchic revision control system

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Michael Janssen <jamuraa@debian.org>

Date: Mon, 8 Nov 2004 04:03:11 UTC

Severity: wishlist

Tags: fixed-in-experimental, patch

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#280209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Janssen <jamuraa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Janssen <jamuraa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: codeville -- More anarchic revision control system
Date: Sun, 07 Nov 2004 21:13:23 -0600
Package: wnpp
Severity: wishlist

* Package name    : codeville
  Version         : 0.1.9
  Upstream Author : Ross Cohen <rcohen@snurgle.removeme.org>
* URL             : http://www.codeville.org
* License         : Open Software License 2.0
  Description     : More anarchic revision control system

Codeville is a new version control system. 

All other version control systems require that you keep careful track
of the relationships between branches so as not have to repeatedly
merge the same conflicts. Codeville is much more anarchic. It allows
you to update from or commit to any repository at any time with no
unnecessary re-merges.

Codeville works by creating an identifier for each change which is
done, and remembering the list of all changes which have been applied
to each file and the last change which modified each line in each
file. When there's a conflict, it checks to see if one of the two
sides has already been applied to the other one, and if so makes the
other side win automatically. When there's an actual not automatically
mergeable version conflict, Codeville behaves in almost exactly the
same way as CVS.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.23-grsec
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#280209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 280209@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: Michael Janssen <jamuraa@debian.org>, 280209@bugs.debian.org
Subject: Re: Bug#280209: ITP: codeville -- More anarchic revision control system
Date: Mon, 8 Nov 2004 18:00:20 +1100
[Message part 1 (text/plain, inline)]
On Sun, Nov 07, 2004 at 09:13:23PM -0600, Michael Janssen wrote:
> * Package name    : codeville
>   Version         : 0.1.9
>   Upstream Author : Ross Cohen <rcohen@snurgle.removeme.org>
> * URL             : http://www.codeville.org
> * License         : Open Software License 2.0

I presume that this is going in non-free, as the OSL 2.0 appears to have
DFSG problems.

http://lists.debian.org/debian-legal/2004/05/msg00118.html

- Matt
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#280209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Thaddeus H. Black" <t@b-tk.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 280209@bugs.debian.org (full text, mbox):

From: "Thaddeus H. Black" <t@b-tk.org>
To: 280209@bugs.debian.org
Subject: Re: Bug#280209: ITP: codeville -- More anarchic revision control system
Date: Mon, 8 Nov 2004 12:01:38 +0000
[Message part 1 (text/plain, inline)]
> * Package name    : codeville
>   Version         : 0.1.9
>   Upstream Author : Ross Cohen <rcohen@snurgle.removeme.org>
> * URL             : http://www.codeville.org
> * License         : Open Software License 2.0
>   Description     : More anarchic revision control system
> 
> Codeville is a new version control system. 
> 
> All other version control systems require that you keep careful track
> of the relationships between branches so as not have to repeatedly
> merge the same conflicts. Codeville is much more anarchic. It allows
> you to update from or commit to any repository at any time with no
> unnecessary re-merges.
> 
> Codeville works by creating an identifier for each change which is
> done, and remembering the list of all changes which have been applied
> to each file and the last change which modified each line in each
> file. When there's a conflict, it checks to see if one of the two
> sides has already been applied to the other one, and if so makes the
> other side win automatically. When there's an actual not automatically
> mergeable version conflict, Codeville behaves in almost exactly the
> same way as CVS.

From the description, it sounds a lot like Subversion.  How does
Codeville improve upon Subversion?

This is not a challenge; it is just a question.  Please copy your reply
to me.  Good luck with Codeville.  It sounds like a good package.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#280209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to jamuraa@base0.net:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 280209@bugs.debian.org (full text, mbox):

From: jamuraa@base0.net
To: Matthew Palmer <mpalmer@debian.org>, control@bugs.debian.org
Cc: 280209@bugs.debian.org
Subject: Re: Bug#280209: ITP: codeville -- More anarchic revision control system
Date: Mon, 8 Nov 2004 08:54:36 -0600
retitle 280209 ITP: codeville -- More anarchic revision control system [non-free]
thanks

On Mon, Nov 08, 2004 at 06:00:20PM +1100, Matthew Palmer wrote:
> On Sun, Nov 07, 2004 at 09:13:23PM -0600, Michael Janssen wrote:
> > * Package name    : codeville
> >   Version         : 0.1.9
> >   Upstream Author : Ross Cohen <rcohen@snurgle.removeme.org>
> > * URL             : http://www.codeville.org
> > * License         : Open Software License 2.0
> 
> I presume that this is going in non-free, as the OSL 2.0 appears to have
> DFSG problems.
> 
> http://lists.debian.org/debian-legal/2004/05/msg00118.html
> 
> - Matt

Apparently so.  Man, you'd expect with a name like "Open Software
License" it would pass DFSG.

Thanks for the heads-up. 

-- 
Michael Janssen --- Jamuraa --- jamuraa@base0.net --- janssen@debian.org



Changed Bug title. Request was from jamuraa@base0.net to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#280209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #27 received at 280209@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Anders Boström <anders@netinsight.se>
Cc: 278229@bugs.debian.org, 280209@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#278229: autofs: Error message when starting
Date: Wed, 8 Dec 2004 01:31:45 +0100
tags 278229 -wontfix
severity 280209 normal
severity 278229 normal
retitle 280209 auto.master "+" syntax doesn't support options
merge 280209 278229
tags 280209 + patch
thanks

On Tue, Oct 26, 2004 at 08:56:03AM +0200, Anders Boström wrote:
> It still seems to be a documented feature to pass options to
> "+"-entries.

Take a look at the patch for #280209 -- this is a duplicate, and the patch
there should help for this bug as well, of course. If it helps people, I'll
put it into the next upload of autofs.

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Severity set to `normal'. Request was from "Steinar H. Gunderson" <sgunderson@bigfoot.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Steinar H. Gunderson" <sgunderson@bigfoot.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from "Steinar H. Gunderson" <sgunderson@bigfoot.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Steinar H. Gunderson" <sgunderson@bigfoot.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from "Steinar H. Gunderson" <sgunderson@bigfoot.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#280209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Anders Boström <anders@netinsight.se>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #42 received at 280209@bugs.debian.org (full text, mbox):

From: Anders Boström <anders@netinsight.se>
To: sgunderson@bigfoot.com
Cc: 278229@bugs.debian.org, 280209@bugs.debian.org
Subject: Re: Bug#278229: autofs: Error message when starting
Date: Wed, 08 Dec 2004 11:20:19 +0100 (CET)
>>>>> "SHG" == Steinar H Gunderson <sgunderson@bigfoot.com> writes:

 SHG> On Tue, Oct 26, 2004 at 08:56:03AM +0200, Anders Boström wrote:
 >> It still seems to be a documented feature to pass options to
 >> "+"-entries.

 SHG> Take a look at the patch for #280209 -- this is a duplicate, and the patch
 SHG> there should help for this bug as well, of course. If it helps people, I'll
 SHG> put it into the next upload of autofs.

The patch in 280209 is broken, it don't work at all if options is used
in the nis-map auto.master. Take a look at this:

sid:/etc# cat /etc/auto.master
#
# $Id: auto.master,v 1.3 2003/09/29 08:22:35 raven Exp $
#
# Sample auto.master file
# This is an automounter map and it has the following format
# key [ -mount-options-separated-by-comma ] location
# For details of the format look at autofs(5).
#/misc  /etc/auto.misc --timeout=60
#/misc  /etc/auto.misc
#/net   /etc/auto.net
/var/autofs/misc        /etc/auto.misc
/var/autofs/net         /etc/auto.net
/mnt/linux32/home       yp:auto_home
+auto.master -rsize=32768,wsize=32768,intr
sid:/etc# ypcat -k auto.master
/- auto_direct -intr,vers=3
/net -hosts -intr,vers=3,nosuid
/home auto_home -proto=udp,intr,vers=3
/xfn -xfn
/neti auto_neti -intr,vers=3
/nfs2 auto_nfs2 -proto=udp,intr,vers=2
sid:/etc# /etc/init.d/autofs status
Configured Mount Points:
------------------------
/usr/sbin/automount --timeout=300 /var/autofs/misc file /etc/auto.misc 
/usr/sbin/automount --timeout=300 /var/autofs/net program /etc/auto.net 
/usr/sbin/automount --timeout=300 /mnt/linux32/home yp auto_home 
/usr/sbin/automount --timeout=300 /home yp auto_home -rsize=32768,wsize=32768,intr,-proto=udp,intr,vers=3 
/usr/sbin/automount --timeout=300 /neti yp auto_neti -rsize=32768,wsize=32768,intr,-intr,vers=3 
/usr/sbin/automount --timeout=300 /nfs2 yp auto_nfs2 -rsize=32768,wsize=32768,intr,-proto=udp,intr,vers=2 

Active Mount Points:
--------------------
/usr/sbin/automount --pid-file=/var/run/autofs/_var_autofs_misc.pid --timeout=300 /var/autofs/misc file /etc/auto.misc
/usr/sbin/automount --pid-file=/var/run/autofs/_var_autofs_net.pid --timeout=300 /var/autofs/net program /etc/auto.net
/usr/sbin/automount --pid-file=/var/run/autofs/_neti.pid --timeout=300 /neti yp auto_neti -rsize=32768,wsize=32768,intr,-intr,vers=3
/usr/sbin/automount --pid-file=/var/run/autofs/_nfs2.pid --timeout=300 /nfs2 yp auto_nfs2 -rsize=32768,wsize=32768,intr,-proto=udp,intr,vers=2
sid:/etc# 

The options passed to automount from the +-entries in auto.master is
just concatenated with the options from the nis-map auto.master,
resulting in invalid options to automount if options in the nis-map
auto.master is used.

/ Anders



Severity set to `wishlist'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Michael Janssen <jamuraa@debian.org>:
Bug#280209. Full text and rfc822 format available.

Message #47 received at 280209-submitter@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: control@bugs.debian.org
Cc: 280209-submitter@bugs.debian.org
Subject: Fixing WNPP problems
Date: Mon, 13 Dec 2004 15:37:44 -0700
# ITP bugs have severity wishlist, not normal
severity 280209 wishlist
thanks

There were some problems in the way you filed this WNPP bug.  Please see
http://www.debian.org/devel/wnpp for instructions.

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#280209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Chad Walstrom <chewie@wookimus.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #52 received at 280209@bugs.debian.org (full text, mbox):

From: Chad Walstrom <chewie@wookimus.net>
To: codeville-devel@codeville.org, 280209@bugs.debian.org
Subject: [PATCH] Re: Debian experimental package pending upload
Date: Mon, 2 May 2005 18:28:36 -0500
[Message part 1 (text/plain, inline)]
On Mon, May 02, 2005 at 05:43:09PM -0500, Chad Walstrom wrote:
> The diff is attached.

Apparently it wasn't.  Oh well.  I'll submit it to the BTS, which can
be browsed via http://bugs.debian.org/280209

-- 
Chad Walstrom <chewie@wookimus.net>           http://www.wookimus.net/
           assert(expired(knowledge)); /* core dump */
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#280209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Chad Walstrom <chewie@wookimus.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #57 received at 280209@bugs.debian.org (full text, mbox):

From: Chad Walstrom <chewie@wookimus.net>
To: 280209@bugs.debian.org
Subject: Re: [PATCH] Re: Debian experimental package pending upload
Date: Mon, 2 May 2005 18:29:25 -0500
[Message part 1 (text/plain, inline)]
Here's the patch.

-- 
Chad Walstrom <chewie@wookimus.net>           http://www.wookimus.net/
           assert(expired(knowledge)); /* core dump */
[codeville_0.1.10-0.diff.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#280209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Chad Walstrom <chewie@wookimus.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #62 received at 280209@bugs.debian.org (full text, mbox):

From: Chad Walstrom <chewie@wookimus.net>
To: codeville-devel@codeville.org
Cc: debian-devel@lists.debian.org, 280209@bugs.debian.org
Subject: Debian experimental package pending upload
Date: Mon, 2 May 2005 17:43:09 -0500
[Message part 1 (text/plain, inline)]
In response to the Request For Package (RFP) #280209, [1]_ I've hacked
up a quick codeville package.  The diff is attached.  There are some
debian-legal matters concerning Open Source License v2.0 (and even
v2.1), so it'll probably end up in non-free (not that I agree with
these legal banterings at all).  We'll see what the ftp masters do
with it.  I recall seeing a note on the codeville.org website that the
next release may be under a BSD-style license.  Is this still
applicable?

I don't have a LOT of time to maintain the package, so I would be
perfectly happy to co-maintain it with someone (anyone interested)?

The codeville package is installed against Python 2.3, the default
python package for Sarge.  If you feel that there should be further
restrictions to version dependency or if you would like version
specific packages, let me know.  (Personally, I think it's overkill
unless you're making module packages.)

References
==========
.. [1] http://bugs.debian.org/280209 

-- 
Chad Walstrom <chewie@wookimus.net>           http://www.wookimus.net/
           assert(expired(knowledge)); /* core dump */
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Chad Walstrom <chewie@wookimus.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Chad Walstrom <chewie@wookimus.net> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Michael Janssen <jamuraa@debian.org>:
Bug#280209. Full text and rfc822 format available.

Message #69 received at 280209-submitter@bugs.debian.org (full text, mbox):

From: Chad Walstrom <chewie@wookimus.net>
To: control@bugs.debian.org
Cc: 280209-submitter@bugs.debian.org
Subject: ITP: codeville...
Date: Mon, 2 May 2005 17:49:34 -0500
[Message part 1 (text/plain, inline)]
tags 280209 pending
thanks

DUDE!  I totally read the wnpp wrong and thought the codeville request
was an RFP, not an ITP.  Don't mean to step on your toes.  I hacked
the package together pretty quickly today with cdbs and set it up for
experimental.

I'm not really interested in maintaining this on my own, as I'm not
even sure if I'll use the software.  I was more curious to see what it
was all about.  Feel free to ignore the package completely and upload
your own if you wish.  My bad!

-- 
Chad Walstrom <chewie@wookimus.net>           http://www.wookimus.net/
           assert(expired(knowledge)); /* core dump */
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#280209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Janssen <jamuraa@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #74 received at 280209-quiet@bugs.debian.org (full text, mbox):

From: Michael Janssen <jamuraa@debian.org>
To: Chad Walstrom <chewie@wookimus.net>, 280209-quiet@bugs.debian.org
Cc: control@bugs.debian.org, 280209-submitter@bugs.debian.org
Subject: Re: Bug#280209: ITP: codeville...
Date: Tue, 10 May 2005 16:51:29 -0500
On Mon, 02 May 2005, Chad Walstrom wrote:

> tags 280209 pending
> thanks
> 
> DUDE!  I totally read the wnpp wrong and thought the codeville request
> was an RFP, not an ITP.  Don't mean to step on your toes.  I hacked
> the package together pretty quickly today with cdbs and set it up for
> experimental.
> 
> I'm not really interested in maintaining this on my own, as I'm not
> even sure if I'll use the software.  I was more curious to see what it
> was all about.  Feel free to ignore the package completely and upload
> your own if you wish.  My bad!
> 
> -- 
> Chad Walstrom <chewie@wookimus.net>           http://www.wookimus.net/
>            assert(expired(knowledge)); /* core dump */

It's okay - I am actually in a waiting state because the next release
of Codeville will be released under BSD, so it will be a candidate for
main instead of having to go into non-free.   I'll be packaging the
new version when it gets released. (Okay, that's apparently already
out.  I was in England until thursday so)

As a sidenote, I actually have been using the old dh_make way and your
mention of cdbs as a system is very interesting, thanks for that.

-- 
Michael Janssen --- Jamuraa --- jamuraa@base0.net --- jamuraa@debian.org



Message sent on to Michael Janssen <jamuraa@debian.org>:
Bug#280209. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Chad Walstrom <chewie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#280209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Chad Walstrom <chewie@wookimus.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #84 received at 280209@bugs.debian.org (full text, mbox):

From: Chad Walstrom <chewie@wookimus.net>
To: 280209-submitter@bugs.debian.org, 280209@bugs.debian.org
Subject: Re: Bug#280209: ITP: codeville...
Date: Wed, 11 May 2005 10:13:05 -0500
[Message part 1 (text/plain, inline)]
On Tue, May 10, 2005 at 04:51:29PM -0500, Michael Janssen wrote:
> It's okay - I am actually in a waiting state because the next
> release of Codeville will be released under BSD, so it will be a
> candidate for main instead of having to go into non-free.   I'll be
> packaging the new version when it gets released. (Okay, that's
> apparently already out.  I was in England until thursday so)
> 
> As a sidenote, I actually have been using the old dh_make way and
> your mention of cdbs as a system is very interesting, thanks for
> that.

OK.  Looks like I just got confirmation that codeville 0.1.10 was
uploaded to experimental.  I did upload version 0.1.11 to the FTP
masters as well, and you can access my GNU Arch repository at
http://arch.debian.org/arch/private/chewie/debian/.  Obviously, all
you need are the diffs, but it's there if you wish to use it.

If you would like a co-maintainer, I would be happy to help.
Otherwise, feel free to nuke my name from the Maintainer field and
upload your own version.

-- 
Chad Walstrom <chewie@wookimus.net>           http://www.wookimus.net/
           assert(expired(knowledge)); /* core dump */
[signature.asc (application/pgp-signature, inline)]

Message sent on to Michael Janssen <jamuraa@debian.org>:
Bug#280209. Full text and rfc822 format available.

Changed Bug title. Request was from Chad Walstrom <chewie@wookimus.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Michlmayr <tbm@cyrius.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Janssen <jamuraa@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #94 received at 280209-done@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 280209-done@bugs.debian.org
Subject: Experimental upload now in unstable
Date: Sun, 31 Jul 2005 03:22:54 -0600
This WNPP bug was tagged "fixed-in-experimental", but the package has
since then moved to unstable.

-- 
Martin Michlmayr
http://www.cyrius.com/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 13:19:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:22:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.